package cn.reghao.tnb.data.app.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @author reghao
 * @date 2025-04-15 10:34:47
 */
@Slf4j
@Component
public class SpringLifecycle implements ApplicationRunner, DisposableBean {
    @Override
    public void run(ApplicationArguments args) {
        log.info("DataService 启动...");
    }

    @Override
    public void destroy() {
        log.info("DataService 停止...");
    }
}
